# Get Datastream Value

## Get Datastream value

<mark style="color:blue;">`GET`</mark> `https://{server_address}/external/api/get?token={token}&{pin}`

{% swagger-response status="400" description="Could not find a device token or Wrong pin format" %}

```
{"error":{"message":"Invalid token."}}

or

{"error":{"message":"Wrong pin format."}}
```

{% hint style="info" %}
You can get the **Device auth token** in [Device info](https://bit.ly/BlynkSimpleAuth).
{% endhint %}

## Get Datastream value by Datastream ID

<mark style="color:blue;">`GET`</mark> `https://{server_address}/external/api/get?token={token}&dataStreamId={id}`

{% swagger-response status="400" description="Could not find a device token or Typo in dataStreamID or Requested dataStream doesn't exist in the product ESP32 QA" %}

```
{"error":{"message":"Invalid token."}}

or

{"error":{"message":"Wrong pin format."}}

or

{"error":{"message":"Requested dataStream doesn't exist in the product ESP32 QA"}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blynk.io/en/blynk.cloud/device-https-api/get-datastream-value.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
